--- title: "licenseActivation (Service)" slug: "dpgw-ig-licenseactivation-service-5-11" updated: 2025-07-04T10:05:55Z published: 2025-07-07T16:28:37Z canonical: "docs.onespan.com/dpgw-ig-licenseactivation-service-5-11" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # licenseActivation (Service) > This command is deprecated! Use [DSAPPGenerateActivationData (service)](/sec/docs/dpgw-ig-dsappgenerateactivationdata-service-5-11) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The licenseActivation service generates an encrypted full activation data (XFAD) for a standard authenticator or Activation Message 1 for a multi-device licensing (MDL) authenticator using Digipass Software Advanced Provisioning Protocol (DSAPP) Version 2. ## URL https://dpgateway_host:dpgateway_port/licenseActivation ## Request Parameters to the service are passed via the URI query component. | licenseActivation parameters | | --- | | Parameter name | Data type | Description | | RegistrationIdentifier | String | Required. The unique identifier of a user for a given activation process. It is returned by DSAPPRegister. | | InitialVector | String | Required. The initial vector used during the encryption of the license activation message. | | PublicKey | String | Required. The encrypted public key and nonce generated by the mobile application using the DSAPP SDK. | ### Example POST https://192.0.2.1:11080/licenseActivation?RegistrationIdentifier=123456789A&PublicKey=D20AFA7756BD4CBDAF495D8CA4805305D20AFA7756BD4CBDAF495D8CA4805305D20AFA7756BD4CBDAF495D8CA4805305D20AFA7756BD4CBDAF495D8CA4805305&InitialVector=07D32029F8FA298E0A354927106F753C ## Response The service returns an XML response message containing the result. ### Example ```xml   ```